:root {
    --lecoqlibre-voile-desktop-article-padding: 25px;
    --lecoqlibre-voile-desktop-extra-columns-padding: 10px;
}

body {
    margin: 0;
    display: flex;

    @media( max-width: 320px ) {
        flex-direction: column;

        .pane-sidebar { display: none; }
    }

    &.admin-bar {
        .wp-block-group.lecoqlibre-voile-main {
            // Move the gutenslider dots beside the admin bar
            .wp-block-eedee-block-gutenslider.dot-position-bottom .eedee-gutenslider-pagination {
                top: 42px; // TODO: replace by a CSS var (waiting for WordPress)
            }

            .wp-block-columns {
                &.lecoqlibre-voile-foreground {
                    .wp-block-column {
                        &:not(:first-child) {
                            margin: 0;
        
                            .wp-block-group {
                                top: 32px; // TODO: replace by a CSS var (waiting for WordPress)
                            }
                        }
                    }
                }
            }
        }
    }

    .wp-block-group.lecoqlibre-voile-main {
        .lecoqlibre-voile-background {
            width: 100%;
            height: 100vh;
            position: fixed;
            top: 0;
            z-index: 0;

            .wp-block-eedee-block-gutenslider.dot-position-bottom .eedee-gutenslider-pagination {
                bottom: unset;
                top: 10px;
            }
        }

        .wp-block-columns {
            &.lecoqlibre-voile-foreground {
                width: min-content;
                min-height: 100vh;
                position: relative;
                z-index: 10;
                margin: 0;

                @media( max-width: 320px ) {
                    width: 100%;
                }

                // Remove space between columns
                .wp-block-column {
                    flex-shrink: 0;
                
                    &:not(:first-child) {
                        margin: 0;

                        // Stick the content of next columns to top
                        .wp-block-group {
                            position: sticky;
                            top: 0;
                            padding: var( --lecoqlibre-voile-desktop-extra-columns-padding );

                            *:first-child {
                                margin-top: 0;
                            }
                        }
                    }
                }

                article.lecoqlibre-voile-content {
                    padding: var( --lecoqlibre-voile-desktop-article-padding );
                }
            }
        }

        .wp-block-eedee-block-gutenslider {
            @media( max-width: 320px ) {
                display: none;
            }
        }

    }

}